Quero dar um Upgrade do Ubuntu pro Pop_OS, mas ele da esse erro

To tentando dar um Switch de Ubuntu pra Pop_OS, mas ele da esse erro: sudo apt-get install pop-desktop Lendo listas de pacotes... Pronto Construind - Pastebin.com

* pkg: erro ao processar o arquivo /var/cache/apt/archives/pop-gnome-initial-setup_3.36.1~1593716052~20.04~e07a263_amd64.deb (--unpack):

 a tentar sobre-escrever '/usr/lib/gnome-initial-setup/vendor.conf', que também está no pacote gnome-initial-setup 3.36.2-0ubuntu1

dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)

O pacote pop-gnome-initial-setup está tentando sobrescrever arquivos padrão do pacote gnome-initial-setup. O apt não vai deixar isso acontecer a menos que vc mande expressamente sobrescrever arquivos. É uma condição delicada onde, se num futuro vc remover o pacote que sobrescreveu os arquivos, irá quebrar o seu sistema a menos que você reinstale o pacote que teve arquivos sobrescritos!

Procurei na internet e se vc estiver realmente disposto a fazer isso use:

sudo apt-get -o Dpkg::Options::="--force-overwrite" install NOVO_PACOTE

Não testei e não posso garantir que funcione ou que não vá quebrar o seu sistema, use por conta e risco!


Outra condição que pode ter acontecido é que o pacote pop-desktop já puxa as dependencias corretas para o gnome modificado do pop os. Nesse caso não daria esse erro se vc estivesse tentando instalar esse pacote em um sistema que não estivesse com o gnome padrão instalado. Se for isso, o correto é desinstalar o gnome (ou instalar o sistema sem interface grafica) e daí instalar o pacote pop-desktop. Mas de novo… Não tenho certeza disso…

1 curtida

já atualizei manualmente mesmo, mas mesmo assim obrigado!